Page MenuHomePhabricator

Parsoid escaping of internal link with query string different to PHP parser
Closed, DuplicatePublic

Description

  1. Go to https://en.wikipedia.org/w/index.php?title=Template:X1&oldid=840783873
  2. Test the link. It should give you a 404 error due to the escaping.
  3. Open the revision in the 2017 wikitext editor.
  4. Add a space, and then preview the revision.
  5. Test the link. It should work, due to an incorrect escaping implementation.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2018, 4:03 AM

wikitext:
[[toollabs:templatecount/index.php?lang=en&namespace=10&name=High-use|This link works in preview but not when saved]]

PHP href:
https://tools.wmflabs.org/templatecount/index.php%3Flang%3Den%26namespace%3D10%26name%3DHigh-use

Parsoid href:
https://tools.wmflabs.org/templatecount/index.php?lang=en&namespace=10&name=High-use

Esanders renamed this task from 2017 wikitext editor's preview does not handle link escaping the same as the MediaWiki renderer to Parsoid escaping of internal link with query string different to PHP parser.May 12 2018, 3:50 PM
ssastry moved this task from Backlog to Links on the Parsoid board.May 17 2018, 3:56 PM
ssastry triaged this task as Normal priority.
cscott added a subscriber: cscott.Jun 13 2018, 7:31 PM

Gah. The Parsoid link looks correct -- but in fact question marks should be escaped in interwiki links. That's actually an existing bug: T95473: Interwiki links whose titles contain question marks are not properly escaped in HTML output.

Vvjjkkii renamed this task from Parsoid escaping of internal link with query string different to PHP parser to q2caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as a duplicate.
CommunityTechBot renamed this task from q2caaaaaaa to Parsoid escaping of internal link with query string different to PHP parser.
CommunityTechBot added a subscriber: Aklapper.